org.apache.storm.generated

## Class Nimbus.Processor.downloadBlobChunk<I extends Nimbus.Iface>

- java.lang.Object
- - org.apache.storm.thrift.ProcessFunction<I,Nimbus.downloadBlobChunk_args>
  - - org.apache.storm.generated.Nimbus.Processor.downloadBlobChunk<I>

- Enclosing class:
    Nimbus.Processor<I extends Nimbus.Iface>

      public static class Nimbus.Processor.downloadBlobChunk<I extends Nimbus.Iface>
      extends org.apache.storm.thrift.ProcessFunction<I,Nimbus.downloadBlobChunk_args>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `downloadBlobChunk()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Nimbus.downloadBlobChunk_args` | `getEmptyArgsInstance()`
    `Nimbus.downloadBlobChunk_result` | `getResult(I iface, Nimbus.downloadBlobChunk_args args)`
    `protected boolean` | `isOneway()`
    `protected boolean` | `rethrowUnhandledExceptions()`

    - ### Methods inherited from class org.apache.storm.thrift.ProcessFunction

      `getMethodName, process`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### downloadBlobChunk

          public downloadBlobChunk()

  - ### Method Detail

    - #### getEmptyArgsInstance

          public Nimbus.downloadBlobChunk_args getEmptyArgsInstance()

      Specified by:
        `getEmptyArgsInstance` in class `org.apache.storm.thrift.ProcessFunction<I extends Nimbus.Iface,Nimbus.downloadBlobChunk_args>`

    - #### isOneway

          protected boolean isOneway()

      Specified by:
        `isOneway` in class `org.apache.storm.thrift.ProcessFunction<I extends Nimbus.Iface,Nimbus.downloadBlobChunk_args>`

    - #### rethrowUnhandledExceptions

          protected boolean rethrowUnhandledExceptions()

      Overrides:
        `rethrowUnhandledExceptions` in class `org.apache.storm.thrift.ProcessFunction<I extends Nimbus.Iface,Nimbus.downloadBlobChunk_args>`

    - #### getResult

          public Nimbus.downloadBlobChunk_result getResult(I iface,
                                                           Nimbus.downloadBlobChunk_args args)
                                                    throws org.apache.storm.thrift.TException

      Specified by:
        `getResult` in class `org.apache.storm.thrift.ProcessFunction<I extends Nimbus.Iface,Nimbus.downloadBlobChunk_args>`
      Throws:
        `org.apache.storm.thrift.TException`

Copyright © 2019 The Apache Software Foundation. All rights reserved.